![]() | BendSurface Constructor (Vector, Vector, ListPoint, ListPoint) |
Initializes a new instance of the BendSurface class with given parameters.
The boundaries are defined by the lateral boundaries (i.e. the points on the sides of the curved part of the surface).
The side boundaries are defined by the two first points and the two last points of the lateral boundaries.
Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.1

public BendSurface( Vector endFaceNormal1, Vector endFaceNormal2, List<Point> lateralBoundary1, List<Point> lateralBoundary2 )
Parameters
- endFaceNormal1
- Type: Tekla.Structures.Geometry3dVector
The first end face normal. - endFaceNormal2
- Type: Tekla.Structures.Geometry3dVector
The second end face normal. - lateralBoundary1
- Type: System.Collections.GenericListPoint
The first lateral boundary - lateralBoundary2
- Type: System.Collections.GenericListPoint
The second lateral boundary

Exception | Condition |
---|---|
ArgumentNullException | Throws an exception if one of the arguments is null. |
ArgumentException | Throws this exception if the boundaries are invalid. |

This constructor may be numerically instable if the end faces are very close
